<?php 

namespace App\Http\Resources\Packing;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Models\User;
use App\Http\Resources\BaseJsonResource;

class ProductionPackingDetailResource extends BaseJsonResource
{
    public function toArray($request)
    {

        $array = [
            'packing_id' => $this->packing_id,
            'material_id' => $this->material_id,
            'qty' => (float)$this->qty
        ];
        
        $array = $this->base($array);
        return $array;
    }
}